org.multiverse.api.exceptions

## Class IllegalTxnFactoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.multiverse.api.exceptions.IllegalTxnFactoryException

All Implemented Interfaces:
  java.io.Serializable

    public class IllegalTxnFactoryException
    extends java.lang.IllegalStateException

An `IllegalStateException` thrown when a `TxnFactory` can't be created because the `TxnConfig` is not correct.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IllegalTxnFactoryException(java.lang.String message)` Creates a new IllegalTxnFactoryException.
`IllegalTxnFactoryException(java.lang.String message, java.lang.Throwable cause)` Creates a new IllegalTxnFactoryException with the provided message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalTxnFactoryException

    public IllegalTxnFactoryException(java.lang.String message)

Creates a new IllegalTxnFactoryException.

Parameters:
  `message` - the message of the IllegalTxnFactoryException.

#### IllegalTxnFactoryException

    public IllegalTxnFactoryException(java.lang.String message,
                              java.lang.Throwable cause)

Creates a new IllegalTxnFactoryException with the provided message and cause.

Parameters:
  `message` - the message of the IllegalTxnFactoryException.
  `cause` - the cause of the IllegalTxnFactoryException